#include <stdio.h>

/* rjesenje petog zadatka, grupa A */
/*
  Neka su n i k pozitivni cijeli brojevi. Za broj k kažemo da je sufiks broja n
  u bazi b ako je k ostatak pri dijeljenju n s nekom potencijom baze b i ako je
  različit od n i veći od 0. Napišite program koji učitava dvije vrijednosti n i
  b tipa int, za koje vrijedi n > 0 i b > 1 (vrijednosti ne treba provjeravati).
  Program treba ispisati sve sufikse broja n u bazi b koji su prosti. Ukoliko
  niti jedan sufiks nije prost, program ispisuje odgovarajuću poruku. Primjer:
  za n = 449 i b = 12, vrijedi 449 = (315)_12 . Sufiksi u bazi 12 su (5)_12 = 5
  i (15)_12 = 17. Oba su sufiksa prosta pa je oba potrebno ispisati
*/

int main(void) {
  int n, b;
  int potencija;
  int suf;
  int pronadjen = 0;
  scanf("%d %d", &n, &b);

  /* sufiks je ostatak pri dijeljenju s potencijom baze, mora biti razlicit od 0
     i n */
  potencija = b;
  suf = n % potencija;
  while (suf != n) {
    /* pretpostavimo da je prost */
    int prost = 1;
    int p = 2;
    if (suf < 2)
      prost = 0;
    while(prost == 1 && p < suf) {
      if (suf % p == 0)
        prost = 0;
      p++;
    }

    if (prost && suf != 0) {
      printf("sufiks: %d\n", suf);
      pronadjen = 1;
    }
    potencija *= b;
    suf = n % potencija;
  }

  if (!pronadjen) {
    printf("Nema takvih sufiksa.");
  }

  return 0;
}
