#include <stdio.h>

/* rjesenje petog zadatka, grupa B */
/*
  Neka su n i k pozitivni cijeli brojevi. Za broj k kažemo da je sufiks broja n
  u bazi b ako je k ostatak pri dijeljenju n s nekom potencijom baze b i ako je
  različit od n i veći od 0. Napišite program koji učitava dvije vrijednosti n i
  b tipa int, za koje vrijedi n > 0 i b > 1 (vrijednosti ne treba provjeravati).
  Program treba ispisati sve sufikse broja n u bazi b koji su složeni. Ukoliko
  niti jedan sufiks nije složen, program ispisuje odgovarajuću poruku. Primjer:
  za n = 594 i b = 12, vrijedi 594 = (416)_12 . Sufiksi u bazi 12 su (6)_12 = 6
  i (16)_12 = 18. Oba su sufiksa složena pa je oba potrebno ispisati.
*/

int main(void) {
  int n, b;
  int potencija;
  int suf;
  int pronadjen = 0;
  scanf("%d %d", &n, &b);

  /* sufiks je ostatak pri dijeljenju s potencijom baze, mora biti razlicit od 0
     i n */
  potencija = b;
  suf = n % potencija;
  while (suf != n) {
    int slozen = 0;
    int p = 2;
    /* pretpostavili smo da nije slozen */
    while (p < suf) {
      if (suf % p == 0)
        slozen = 1;
      p++;
    }

    /* moramo provjeriti da nije jednak nuli */
    if (slozen && suf != 0) {
      printf("sufiks: %d\n", suf);
      pronadjen = 1;
    }
    potencija *= b;
    suf = n % potencija;
  }

  if (!pronadjen) {
    printf("Nema takvih sufiksa.");
  }

  return 0;
}
