#include <stdio.h>

/* rjesenje petog zadatka, grupa D */
/*
  Neka su n i k pozitivni cijeli brojevi. Za broj k kažemo da je prefiks broja n
  u bazi b ako je k rezultat cjelobrojnog dijeljenja n s nekom potencijom baze b
  i ako je različit od n i veći od 0. Napišite program koji učitava dvije
  vrijednosti n i b tipa int, za koje vrijedi n > 0 i b > 1 (vrijednosti ne
  treba provjeravati). Program treba ispisati sve prefikse broja n u bazi b koji
  su prosti. Ukoliko niti jedan prefiks nije prost, program ispisuje
  odgovarajuću poruku. Primjer: za n = 208 i b = 12, vrijedi 208 = (154)_12 .
  Prefiksi u bazi 12 su (15)_12 = 17 i (1)_12 = 1. Prefiks 17 je prost pa ga je
  potrebno ispisati.
*/

int main(void) {
  int n, b;
  int potencija;
  int pref;
  int pronadjen = 0;
  scanf("%d %d", &n, &b);

  /* prefiks je rezultat cjelobrojnog dijeljenja s potencijom baze, mora biti
     razlicit od 0 i n */
  potencija = b;
  pref = n / potencija;
  while (pref != 0) {
    /* pretpostavimo da je prost */
    int prost = 1;
    int p = 2;
    if (pref < 2)
      prost = 0;
    while(prost == 1 && p < pref) {
      if (pref % p == 0)
        prost = 0;
      p++;
    }

    /* ovdje je sigurno razlicit od n pa to ne provjeravamo */
    if (prost) {
      printf("prefiks: %d\n", pref);
      pronadjen = 1;
    }
    potencija *= b;
    pref = n / potencija;
  }

  if (!pronadjen) {
    printf("Nema takvih prefiksa.");
  }

  return 0;
}
